#ifndef GLOBAL_H_
#define GLOBAL_H_

#define F_CPU 16000000UL
#define BAUD 9600UL
#define BYTESREAD 700


#include <avr/io.h>
#include <util/delay.h>
#include <avr/interrupt.h>
#include "spi.h"
#include "uart.h"
#include "rfm69.h"

#define UBRR_VAL ((F_CPU+BAUD*8)/(BAUD*16)-1)
#define BYTESREAD 700




void print_hexX(uint8_t x);
void print_hexXX(uint8_t i);
void longDelay(uint16_t ms);



#endif
