#include"global.h"


uint8_t uart_recive_char;

char  dataFromGps[BYTESREAD];
uint16_t bytesRead = 0;



void uartInit(void){
  UBRRH = UBRR_VAL >> 8;
  UBRRL = UBRR_VAL & 0xFF;

  UCSRB |= (1<<TXEN)|(1<<RXEN)|(1<<RXCIE);  // UART TX und RX einschalten; Interrupt ausloesen wenn Signal kommt
  UCSRC = (1<<URSEL)|(1<<UCSZ1)|(1<<UCSZ0);  // Asynchron 8N1


}

void uartSendChar(char c){
    while (!(UCSRA & (1<<UDRE)))  /* warten bis Senden moeglich*/
        {
        }
        UDR = c;
}


void uartSendString(char *s){
  uint16_t i = 0;
  while(s[i] != '\0'){
    uartSendChar(s[i]);
    i++;
  }
}

/*
void uartSendString(char *s){
  while(*s){
    uartSendChar(*s);
    s++;
  }
}
*/

uint8_t uartReadChar(void){
    while (!(UCSRA & (1<<RXC)))   // warten bis Zeichen verfuegbar
        ;
    return UDR;                   // Zeichen aus UDR an Aufrufer zurueckgeben
}


// Es werden 500 Zeichen eingelesen, dann wird im main.c der
// Interrupt blockiert
//ISR(USART_RXC_vect){
//  if (bytesRead < BYTESREAD){
//    dataFromGps[bytesRead++] = UDR;
//  }else{dataFromGps[bytesRead] = '\0';}
//}


